#include <SD.h>
#define SD_ChipSelectPin 4  // используем 4 цифровой пин на Arduino Uno
#define RECV_PIN 2 // на 2 пине будет ИК приемник
#include <TMRpcm.h>
#include <SPI.h>
#include <IRremote.h>
#include "Buttons.h"

TMRpcm tmrpcm;
IRrecv irrecv(RECV_PIN);
decode_results results;
File root;

void setup(){
  tmrpcm.speakerPin = 9; // пин динамика
  Serial.begin(9600);
  if (!SD.begin(SD_ChipSelectPin)) {  // проверяем подключена ли SD карточка
    Serial.println("SD fail");  
    return;
  }
  root = SD.open("/"); // считываем корневой каталог
  tmrpcm.setVolume(0);
  //tmrpcm.play("popeeye1.wav");
  irrecv.enableIRIn(); // начинаем прием ИК сигнала
}

void playNext(){
  tmrpcm.stopPlayback();
  File entry =  root.openNextFile();
  String filename = String("Filename: ") + entry.name();
  Serial.println(filename);
  tmrpcm.play(entry.name());
}

void loop(){  
  if (irrecv.decode(&results)) {
    Serial.print("Button code: ");
    Serial.println(results.value, HEX);
    if (results.value == Buttons.VOLUME_DOWN) // меньше громкость
    {
      tmrpcm.volume(0); 
    }
    if (results.value == Buttons.VOLUME_UP) // выше громкость
    {
      tmrpcm.volume(1); 
    }
    if (results.value == Buttons.PAUSE) // пауза/воспроизведение
    {
      tmrpcm.pause(); 
    }
    if (results.value == Buttons.NEXT) // следующий файл
    {
      playNext();
    }
    if (results.value == Buttons.FIRST) // возвращаемся в начало директории
    {
      root.rewindDirectory();
      playNext();
    }
     
    irrecv.resume(); // продолжаем прием сигнала
  }
}
